#
# spec file for package python-gnocchiclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname gnocchiclient
Name:           python-gnocchiclient
Version:        2.8.2
Release:        5.1
Summary:        Python API and CLI for OpenStack Gnocchi
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/openstack/python-gnocchiclient
Source0:        https://pypi.io/packages/source/g/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-futurist
BuildRequires:  python-keystoneauth1
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-pyparsing
BuildRequires:  python-python-subunit
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildRequires:  python-testrepository
BuildRequires:  python-testtools
Requires:       python-cliff
Requires:       python-futurist
Requires:       python-keystoneauth1
Requires:       python-osc-lib
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-pyparsing
Requires:       python-six
BuildArch:      noarch

%description
This is a client library for Gnocchi built on the Gnocchi API. It
provides a Python API (the gnocchiclient module) and a command-line tool.

%package doc
Summary:        Documentation for OpenStack Gnocchi API Client
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description      doc
This is a client library for Gnocchi built on the Gnocchi API. It
provides a Python API (the gnocchiclient module) and a command-line tool
(gnocchi).

This package contains auto-generated documentation.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%py2_build

%install
%py2_install

%{__python2} setup.py build_sphinx
# Fix hidden-file-or-dir warnings
rm -rf html/.doctrees html/.buildinfo

%check
# FIXME: only run unittests for now. Functional tests need gnocchi
export OS_TEST_PATH=./gnocchiclient/tests/unit
PYTHONPATH=. %{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{_bindir}/gnocchi
%{python2_sitelib}/gnocchiclient
%{python2_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
